import { createRouter, createWebHistory } from "vue-router";
import HomeView from "../views/home/home/HomeView.vue";
import News from "../views/home/hotnews/News.vue";
import TaiyuanNews from "../views/home/tynews/TaiyuanNews.vue";
import ShanxiNews from "../views/home/sxnews/ShanxiNews.vue";
import Announcements from "../views/home/announcements/Announcements.vue";

import PyHome from "../views/py/PyHome.vue";
import NewsLayout from "../layout/news.vue";
import PyLayout from '../layout/py.vue';
import WmLayout from '../layout/wm.vue';

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/",
      name: "home",
      redirect: "/home/home",
      component: NewsLayout,
      children: [
        {
          path: "/home/home",
          component: HomeView,
        },
        {
          path: "/home/news",
          component: News,
        },
        {
          path: "/home/tynews",
          component: TaiyuanNews,
        },
      ],
    },
    {
      path: "/py",
      name: "py",
      component: PyLayout,
      children: [
        {
          name: "PyHome",
          path: "/py/pyhome",
          component: PyHome,
        },
      ],
    },
    {
      path: "/wm",
      name: "wm",
      component: WmLayout,
      children: [
        {
          path: "/wm/announcements",
          component: Announcements,
        },
      ],
    },
  ],
});

export default router;
